Subject: Re: [PATCH] Add support for host aliases in config files

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Jan 2008 12:19:52 -0800

Jakub Narebski <[email-masked]> writes:

> So this config variable is actually about _rewriting_ URLs, rather than
> having multiple _alternate_ URLs to fetch from. IMHO either the
> documentation above should be (re)written better (there is time, as we
> are in feature freeze), or the example mentioned above should be added
> (but where?).

I think Documentation/urls.txt would be a good candidate.
Currently it talks only about non-nicknamed remotes, and is
included only in clone and remote.  This makes sense as their
usage of urls.txt documentation is to talk about non-nicknamed
forms only (obviously clone cannot talk about nicknames in a
local repository that does not yet exist, and "remote add" needs
a non-nicknamed form as well).

Documentation/urls.txt can be enhanced to say that once you have
the remote.*.url and other configs, you can use its nickname to
name a remote repository.  Then it would become a good enough
shape to be included in push/fetch/pull pages as well.